
function profil(adherent_type) {
    let profil1, profil2, profil3 ;
    console.log ("function profil.adherent_type: ", adherent_type);
    adherent_type = (adherent_type || "").trim().toLowerCase();
    if (adherent_type === "famille") {
        profil1 = "Famille";
        console.log("profil1 : ", profil1);
    }
    if (adherent_type === "observateur") {
      profil1 = "observateur";
      console.log("profil1 : ", profil1);
  }
    if (adherent_type === "professeur") {
      profil1 = "Professeur";
      console.log("profil1 : ", profil1);
    }
    if (adherent_type === "prof_famille") {
      profil1 = "Professeur";
      profil2 = "Élève";
      console.log("profil1 : ", profil1);
      console.log("profil2 : ", profil2);
    }
    if (adherent_type === "prof_stagiaire") {
      profil1 = "Professeur";
      profil2 = "Stagiaire ESA";
      console.log("profil1 : ", profil1);
      console.log("profil2 : ", profil2);
    }
    if (adherent_type === "prof_stagiaire_famille") {
      profil1 = "Professeur";
      profil2 = "Stagiaire ESA";
      profil3 = "Élève";
      console.log("profil1 : ", profil1);
      console.log("profil2 : ", profil2);
      console.log("profil3 : ", profil3);
    }
    if (adherent_type === "prof_stagiaire1") {
    profil1 = "Stagiaire ESA";
      console.log("profil1 : ", profil1);
    }
    if (adherent_type === "prof_stagiaire1_famille") {
      profil1 = "Stagiaire ESA";
      profil2 = "Élève";
      console.log("profil1 : ", profil1);
      console.log("profil2 : ", profil2);
    }
    console.log("RETURN profil1 : ", profil1);

    //return profil1;
    return [profil1, profil2, profil3];
    
}

module.exports = {
  profil
}
